Bug 92148 - /dev/sg, /dev/st entries don't match reality
/dev/sg, /dev/st entries don't match reality
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
7.3
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-03 08:33 EDT by Terry Lemons
Modified: 2014-03-16 22:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-10 10:24:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Terry Lemons 2003-06-03 08:33:40 EDT
Hi

I have a system where the entries in /dev/sg and /dev/st are not in sync.  I'm 
not sure how this happened (any ideas), and don't know how to fix it.  I sent 
searching in Bugzilla and the documentation, and didn't find any information 
that seemed helpful to me.

[root@versan3 root]# ls -l /dev/sg
total 0
lrwxrwxrwx    1 root     root            8 May 30 12:13 h0c0t0l0 -> /dev/sg0
lrwxrwxrwx    1 root     root            8 May 30 12:13 h0c0t6l0 -> /dev/sg1
lrwxrwxrwx    1 root     root            8 May 30 12:13 h4c0t1l0 -> /dev/sg3
lrwxrwxrwx    1 root     root            8 May 30 12:13 h4c0t1l1 -> /dev/sg4
lrwxrwxrwx    1 root     root            8 May 30 12:13 h4c0t1l2 -> /dev/sg5
lrwxrwxrwx    1 root     root            8 May 30 12:13 h4c0t1l3 -> /dev/sg6
lrwxrwxrwx    1 root     root            8 May 30 12:13 h4c0t1l4 -> /dev/sg7
lrwxrwxrwx    1 root     root            8 May 30 12:13 h4c0t1l5 -> /dev/sg8
lrwxrwxrwx    1 root     root            8 May 30 12:13 h4c0t1l6 -> /dev/sg9
lrwxrwxrwx    1 root     root            9 May 30 12:13 h4c0t1l7 -> /dev/sg10
lrwxrwxrwx    1 root     root            9 May 30 12:13 h4c0t1l8 -> /dev/sg11
lrwxrwxrwx    1 root     root            9 May 30 12:13 h4c0t2l0 -> /dev/sg12
lrwxrwxrwx    1 root     root            9 May 30 12:13 h4c0t2l1 -> /dev/sg13
lrwxrwxrwx    1 root     root            9 May 30 12:13 h4c0t2l2 -> /dev/sg14
lrwxrwxrwx    1 root     root            9 May 30 12:13 h4c0t2l3 -> /dev/sg15
[root@versan3 root]# ls -l /dev/st
total 0
lrwxrwxrwx    1 root     root            8 May 30 12:13 h4c0t1l1 -> /dev/st0
lrwxrwxrwx    1 root     root            8 May 30 12:14 h4c0t1l2 -> /dev/st1
lrwxrwxrwx    1 root     root            8 May 30 12:15 h4c0t1l3 -> /dev/st2
lrwxrwxrwx    1 root     root            8 May 30 12:16 h4c0t1l4 -> /dev/st3
lrwxrwxrwx    1 root     root            8 May 30 12:16 h4c0t1l5 -> /dev/st4
lrwxrwxrwx    1 root     root            8 May 30 12:16 h4c0t1l6 -> /dev/st5
lrwxrwxrwx    1 root     root            8 May 30 12:16 h4c0t1l7 -> /dev/st6
lrwxrwxrwx    1 root     root            8 May 30 12:16 h4c0t1l8 -> /dev/st7
lrwxrwxrwx    1 root     root            8 May 30 12:16 h4c0t2l1 -> /dev/st8
lrwxrwxrwx    1 root     root            8 May 30 12:16 h4c0t2l2 -> /dev/st9
lrwxrwxrwx    1 root     root            9 May 30 12:14 h4c0t2l3 -> /dev/st10
lrwxrwxrwx    1 root     root            9 May 30 12:14 h4c0t2l4 -> /dev/st11
lrwxrwxrwx    1 root     root            9 May 30 12:14 h4c0t2l5 -> /dev/st12
lrwxrwxrwx    1 root     root            9 May 30 12:14 h4c0t2l6 -> /dev/st13
lrwxrwxrwx    1 root     root            9 May 30 12:14 h4c0t2l7 -> /dev/st14
lrwxrwxrwx    1 root     root            9 May 30 12:14 h4c0t3l2 -> /dev/st15
lrwxrwxrwx    1 root     root            9 May 30 12:14 h4c0t3l3 -> /dev/st16
lrwxrwxrwx    1 root     root            9 May 30 12:15 h4c0t3l4 -> /dev/st17
lrwxrwxrwx    1 root     root            9 May 30 12:15 h4c0t3l5 -> /dev/st18
lrwxrwxrwx    1 root     root            9 May 30 12:15 h4c0t3l6 -> /dev/st19
lrwxrwxrwx    1 root     root            9 May 30 12:15 h4c0t3l7 -> /dev/st20
lrwxrwxrwx    1 root     root            9 May 30 12:15 h4c0t3l8 -> /dev/st21
lrwxrwxrwx    1 root     root            9 May 30 12:15 h4c0t3l9 -> /dev/st22
lrwxrwxrwx    1 root     root            9 May 30 12:03 nh4c0t1l1 -> /dev/nst0
lrwxrwxrwx    1 root     root            9 May 30 12:03 nh4c0t1l2 -> /dev/nst1
lrwxrwxrwx    1 root     root            9 May 30 12:12 nh4c0t1l3 -> /dev/nst2
lrwxrwxrwx    1 root     root            9 May 30 12:13 nh4c0t1l4 -> /dev/nst3
lrwxrwxrwx    1 root     root            9 May 30 12:13 nh4c0t1l5 -> /dev/nst4
lrwxrwxrwx    1 root     root            9 May 30 12:13 nh4c0t1l6 -> /dev/nst5
lrwxrwxrwx    1 root     root            9 May 30 12:13 nh4c0t1l7 -> /dev/nst6
lrwxrwxrwx    1 root     root            9 May 30 12:13 nh4c0t1l8 -> /dev/nst7
lrwxrwxrwx    1 root     root            9 May 30 12:13 nh4c0t2l1 -> /dev/nst8
lrwxrwxrwx    1 root     root            9 May 30 12:13 nh4c0t2l2 -> /dev/nst9
lrwxrwxrwx    1 root     root           10 May 30 12:03 nh4c0t2l3 -> /dev/nst10
lrwxrwxrwx    1 root     root           10 May 30 12:03 nh4c0t2l4 -> /dev/nst11
lrwxrwxrwx    1 root     root           10 May 30 12:03 nh4c0t2l5 -> /dev/nst12
lrwxrwxrwx    1 root     root           10 May 30 12:04 nh4c0t2l6 -> /dev/nst13
lrwxrwxrwx    1 root     root           10 May 30 12:11 nh4c0t2l7 -> /dev/nst14
lrwxrwxrwx    1 root     root           10 May 30 12:11 nh4c0t3l2 -> /dev/nst15
lrwxrwxrwx    1 root     root           10 May 30 12:11 nh4c0t3l3 -> /dev/nst16
lrwxrwxrwx    1 root     root           10 May 30 12:11 nh4c0t3l4 -> /dev/nst17
lrwxrwxrwx    1 root     root           10 May 30 12:12 nh4c0t3l5 -> /dev/nst18
lrwxrwxrwx    1 root     root           10 May 30 12:12 nh4c0t3l6 -> /dev/nst19
lrwxrwxrwx    1 root     root           10 May 30 12:12 nh4c0t3l7 -> /dev/nst20
lrwxrwxrwx    1 root     root           10 May 30 12:12 nh4c0t3l8 -> /dev/nst21
lrwxrwxrwx    1 root     root           10 May 30 12:12 nh4c0t3l9 -> /dev/nst22
[root@versan3 root]# 

How can I correct this problem?

Thanks
tl
Comment 1 Bill Nottingham 2003-06-03 11:22:03 EDT
Are you using devfs?
Comment 2 Terry Lemons 2003-06-03 12:17:43 EDT
Sorry for the stupid question, but am I using devfs for what?  I haven't used 
that command, if that's what you mean.

Thanks!
tl
Comment 3 Bill Nottingham 2003-06-03 12:36:31 EDT
Have you rebuilt a kernel with devfs support, or installed a kernel that uses devfs?
Comment 4 Terry Lemons 2003-06-03 14:39:59 EDT
No and no; it is disabled (it's commented in the .config file).
Comment 5 Bill Nottingham 2003-06-03 14:56:53 EDT
/dev/sg is a directory on your system?
Comment 6 Terry Lemons 2003-06-03 15:14:11 EDT
Yep.
Comment 7 Bill Nottingham 2003-06-03 15:18:11 EDT
Hm, that's odd. We don't ship /dev/sg as a directory, and we don't ship anything
that would make such symlinks.

What kernel are you running?
Comment 8 Terry Lemons 2003-06-03 15:21:27 EDT
[root@versan3 nsr]# uname -a
Linux versan3.backup 2.4.18-3custom #1 SMP Wed Nov 6 14:57:02 EST 2002 i686 unkn
own
[root@versan3 nsr]# cat /etc/redhat-release
Red Hat Linux release 7.3 (Valhalla)
[root@versan3 nsr]#
Comment 9 Bill Nottingham 2003-06-03 15:26:50 EDT
Hm, I'm not sure what you'd have that would create those directories and
entries. Are you seeing anything else odd besides those?
Comment 10 Terry Lemons 2003-06-10 10:24:44 EDT
Hi

New, incomplete information points to backup software creating and populating 
those directories.  So, thanks for this discussion, and please close this case.

Thanks again!
tl

Note You need to log in before you can comment on or make changes to this bug.